﻿Imports Infragistics.UltraChart.Shared.Styles
Imports System.Drawing
Imports Infragistics.WebUI.UltraWebChart

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim igChart2 As UltraChart = Me.FindControl("igChart2")
        igChart2.Visible = True
        igChart2.ColorModel.ModelStyle = Infragistics.UltraChart.Shared.Styles.ColorModels.CustomLinear
        igChart2.ColorModel.CustomPalette = New Color() {Color.Blue, Color.Yellow, Color.Green, Color.Purple}
        igChart2.Section508Compliant = True
        igChart2.TitleTop.Text = "hello"

        igChart2.Axis.X.TickmarkInterval = 0.2

        igChart2.DataSource = Me.GetColumnChartSeries
        igChart2.Legend.Visible = True
        igChart2.Legend.Location = LegendLocation.Bottom
        igChart2.Axis.X.Labels.SeriesLabels.FormatString = " "
        igChart2.Data.SwapRowsAndColumns = False
        igChart2.DataBind()
    End Sub


    Public Function GetColumnChartSeries() As DataTable
        Dim ds As New DataSet
        Dim dt As New DataTable
        Dim lower As Int64 = 2 '3 (number of series to display)
        Dim upper As Int64 = 2
        Dim drArray As String(,) = Nothing
        Dim cnt As Int16 = 0
        Dim cnt1 As Int16 = 0

        Try


            dt.Columns.Add("DOGS", GetType(System.Int64))
            dt.Columns.Add("CATS", GetType(System.Int64))
            dt.Columns.Add("Other", GetType(System.Int64))
            dt.Rows.Add(New Object() {1, 2, 3})
            dt.Rows.Add(New Object() {4, 5, 6})

            ds = Nothing

        Catch ex As Exception
        End Try

        Return dt
    End Function
End Class